| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumDataHandling Class Reference

Enumerations used in DataHandling library. More...

List of all members.

## Static Public Attributes
static long | XDCFI_OSF_FILE = 0
static long | XDCFI_ORBIT_FILE = 1
static long | XDCFI_POF_FILE = 2
static long | XDCFI_ROF_FILE = 3
static long | XDCFI_DORIS_FILE = 4
static long | XDCFI_SDF_FILE = 5
static long | XDCFI_STF_FILE = 6
static long | XDCFI_ATTITUDE_FILE = 7
static long | XDCFI_DEM_CONF_FILE = 8
static long | XDCFI_DEM_FILE = 9
static long | XDCFI_ZONE_FILE = 10
static long | XDCFI_STATION_FILE = 11
static long | XDCFI_STAR_FILE = 12
static long | XDCFI_ATT_STAR_TRACKER_CONF_FILE = 13
static long | XDCFI_ATT_STAR_TRACKER_FILE = 14
static long | XDCFI_IERS_BULLETIN_FILE = 15
static long | XDCFI_TLE_FILE = 16
static long | XDCFI_ATT_QUATERNIONS = 0
static long | XDCFI_ATT_ANGLES = 1
static long | XDCFI_LINE_GEOM = 0
static long | XDCFI_POINT_GEOM = 1
static long | XDCFI_LIMB_GEOM = 2
static long | XDCFI_DISTANCE_GEOM = 3
static long | XDCFI_NO_ASAR = 0
static long | XDCFI_NARROW_ASAR = 1
static long | XDCFI_WIDE_ASAR = 2
static long | XDCFI_NO_REF = 0
static long | XDCFI_STD_REF = 1
static long | XDCFI_USER_REF = 2
static long | XDCFI_PRED_REF = 3
static long | XDCFI_STD_REF_N = 10
static long | XDCFI_USER_REF_N = 20
static long | XDCFI_PRED_REF_N = 30
static long | XDCFI_US76_REF = 300
static long | XDCFI_TROPIC_REF = 301
static long | XDCFI_MID_SUM_REF = 302
static long | XDCFI_MID_WIN_REF = 303
static long | XDCFI_SUBAR_SUM_REF = 304
static long | XDCFI_SUBAR_WIN_REF = 305
static long | XDCFI_LUT_REF = 400
static long | XDCFI_US76_REF_N = 3000
static long | XDCFI_TROPIC_REF_N = 3001
static long | XDCFI_MID_SUM_REF_N = 3002
static long | XDCFI_MID_WIN_REF_N = 3003
static long | XDCFI_SUBAR_SUM_REF_N = 3004
static long | XDCFI_SUBAR_WIN_REF_N = 3005
static long | XDCFI_LUT_REF_N = 4000
static long | XDCFI_OPEN_SWATH = 0
static long | XDCFI_CLOSED_SWATH = 1
static long | XDCFI_GEODETIC_SWATH_TYPE = 0
static long | XDCFI_INERTIAL_SWATH_TYPE = 1
static long | XDCFI_SWATH_POINTING_GEOM = 0
static long | XDCFI_SWATH_DISTANCE_GEOM = 1
static long | XDCFI_SWATH_LIMB_GEOM = 2
static long | XDCFI_SWATH_INERTIAL_GEOM = 3
static long | XDCFI_SWATH_SUBSATELLITE_GEOM = 4
static long | XDCFI_SWATH_ASAR_GEOM = 5
static long | XDCFI_NOT_DEFINED = -1
| The zone is not defined as an input and must be read from a file.
static long | XDCFI_POINT = 0
| The zone is a point (resulting segments will be of zero duration).
static long | XDCFI_CIRCLE = 1
| The zone is a circle defined by its centre point and its radius.
static long | XDCFI_SEGMENT = 2
| The zone is a segment defined by its two extremes.
static long | XDCFI_POLYGON = 3
| The zone is a polygon.
static long | XDCFI_SAT_ORBITAL_REF = 0
static long | XDCFI_SAT_NOMINAL_ATT = 1
static long | XDCFI_SAT_ATT = 2
static long | XDCFI_INSTR_ATT = 3
static long | XDCFI_BAR_MEAN_2000 = 1
| Barycentric Mean of 2000.0 coordinate system.
static long | XDCFI_HEL_MEAN_2000 = 2
| Heliocentric Mean of 2000.0 coordinate system.
static long | XDCFI_GEO_MEAN_2000 = 3
| Geocentric Mean of 2000.0 coordinate system.
static long | XDCFI_MEAN_DATE = 4
| Mean of date coordinate system.
static long | XDCFI_TRUE_DATE = 5
| True of date coordinate system.
static long | XDCFI_EARTH_FIXED = 6
| Earth Fixed coordinate system.
static long | XDCFI_BAR_MEAN_1950 = 7
| Barycentric Mean of 2000.0 coordinate system.
static long | XDCFI_GALACTIC = 8
| Galactic coordinate system.
static long | XDCFI_SAT_ACT_REF = 9
| Satellite relative actual reference cs.
static long | XDCFI_QUASI_MEAN_DATE = 10
| Quasi-Mean of Date coordinate system.
static long | XDCFI_PSE_TRUE_DATE = 11
| Pseudo-True of Date coordinate system.
static long | XDCFI_PSEUDO_EARTH_FIXED = 12
| Pseudo Earth Fixed coordinate system.
static long | XDCFI_TOPOCENTRIC = 13
| Topocentric coordinate system.
static long | XDCFI_SAT_REF = 14
| Satellite reference coordinate system.
static long | XDCFI_SAT_REL_REF = 15
| Satellite relative reference coordinate system.
static long | XDCFI_3_ADJUST_NOMI = 1
| Adjusted out of orbit manoeuvre period.
static long | XDCFI_4_ADJUST_DMAN = 2
| Adjusted during an orbit manoeuvre.
static long | XDCFI_5_INTERP_DGAP = 3
| Interpolated during a data gap.
static long | XDCFI_6_EXTRAP_LT1D = 4
| Extrapolated from less than 1 day.
static long | XDCFI_7_EXTRAP_1D2D = 5
| Extrapolated from more than 1 day, but less than 2 days.
static long | XDCFI_8_EXTRAP_GT2D = 6
| Extrapolated from more than 2 days.
static long | XDCFI_8_EXTRAP_AMAN = 7
| Extrapolated after an orbit manoeuvre.
static long | XDCFI_Q_INDEX_MAX_ENUM = 8
| Number of defined values (+1).
static long | XDCFI_TIME_UNDEF = -1
static long | XDCFI_TIME_TAI = 0
static long | XDCFI_TIME_UTC = 1
static long | XDCFI_TIME_UT1 = 2
static long | XDCFI_TIME_GPS = 3
static long | XDCFI_TIME_REF_OF_TAI = 0
static long | XDCFI_TIME_REF_OF_UTC = 1
static long | XDCFI_TIME_REF_OF_UT1 = 2
static long | XDCFI_TIME_REF_OF_GPS = 3
static long | XDCFI_READ_DB = 0
| Read projection from DB file.
static long | XDCFI_GNOMONIC = 1
| Use gnomonic projection.
static long | XDCFI_RECTANGULAR = 2
| Use rectangular projection.
static long | XDCFI_ATT_NONE = 0
static long | XDCFI_ATT_AOCS = 1
static long | XDCFI_ATT_PARAM = 2
static long | XDCFI_ATT_HARMONIC = 3
static long | XDCFI_ATT_FILE = 4
static long | XDCFI_ATT_ANGLE = 5
static long | XDCFI_ATT_MATRIX = 6
static long | XDCFI_UNKNOWN_TYPE = -1
static long | XDCFI_AUTO = 0
static long | XDCFI_ORBIT_CHANGE = 1
static long | XDCFI_STATE_VECTOR = 2
static long | XDCFI_OSF_TYPE = 3
static long | XDCFI_POF_TYPE = 4
static long | XDCFI_ROF_TYPE = 5
static long | XDCFI_DORIS_TYPE = 6
static long | XDCFI_POF_N_DORIS_TYPE = 7
static long | XDCFI_OEF_OSF_TYPE = 8
static long | XDCFI_OEF_POF_TYPE = 9
static long | XDCFI_IERS_B_TYPE = 10
static long | XDCFI_TLE_TYPE = 11
static long | XDCFI_STF_TYPE = 12
static long | XDCFI_DORISPREC_TYPE = 13
static long | XDCFI_DORISPREM_TYPE = 14
static long | XDCFI_ATT_TYPE = 15
static long | XDCFI_SCF_TYPE = 16
static long | XDCFI_PRECISE_PROPAG_TYPE = 17
static long | XDCFI_DEMCFG_TYPE = 18
static long | XDCFI_SATCFG_TYPE = 19
static long | XDCFI_GND_DB_TYPE = 20
static long | XDCFI_SW_DEF_TYPE = 21
static long | XDCFI_ZON_DB_TYPE = 22
static long | XDCFI_STR1ATT_TYPE = 23
static long | XDCFI_IERS_A_TYPE = 24
static long | XDCFI_IERS_B_AND_A_TYPE = 25
static long | XDCFI_FILE_TYPE_MAX_VALUE = 26
static long | XDCFI_DEM_ACE_MODEL = 0
static long | XDCFI_DEM_GETASSE30_V1 = 1
static long | XDCFI_DEM_GETASSE30_V2 = 2
static long | XDCFI_DEM_ACE2_9SEC = 3
static long | XDCFI_DEM_NUM_MODELS = 4
static long | XDCFI_DEM_GETASSE30_SOURCE_ACE = 0
| land-ice/snow
static long | XDCFI_DEM_GETASSE30_SOURCE_MSS = 1
| sea
static long | XDCFI_DEM_GETASSE30_SOURCE_EGM96 = 2
| sea-ice
static long | XDCFI_DEM_GETASSE30_SOURCE_SRTM30 = 3
| land
static long | XDCFI_DEM_ACE2_SOURCE_SRTM0 = 0
| Pure SRTM (above 60 deg N pure GLOBE data, below 60S pure ACE [original] data).
static long | XDCFI_DEM_ACE2_SOURCE_SRTM1 = 1
| SRTM voids filled by interpolation and/or altimeter data.
static long | XDCFI_DEM_ACE2_SOURCE_SRTM2 = 2
| SRTM data warped using the ERS-1 Geodetic Mission.
static long | XDCFI_DEM_ACE2_SOURCE_SRTM3 = 3
| SRTM data warped using EnviSat & ERS-2 data.
static long | XDCFI_DEM_ACE2_SOURCE_SRTM_LAKE = 4
| Mean lake level data derived from Altimetry.
static long | XDCFI_DEM_ACE2_SOURCE_SRTM_GLOBE = 5
| GLOBE/ACE data warped using combined altimetry (only above 60 deg N).
static long | XDCFI_DEM_ACE2_SOURCE_SRTM_ALT = 6
| Pure altimetry data (derived from ERS-1 Geodetic Mission ERS-2 and EnviSat data using Delaunay Triangulation and Bilinear interpolation).
static long | XDCFI_DEFAULT_VALUES = 0
| Use predefined default values for some parameters.
static long | XDCFI_USER_VALUES = 1
| Use values introduced by user.
static long | XDCFI_NOT_SELECT = 0
| Do not select contribution.
static long | XDCFI_SELECT = 1
| Select contribution.
static long | XDCFI_SGA_USE_PARAMETERS = 0
| Use input parameters.
static long | XDCFI_SGA_READ_VALUES_FROM_FILE = 1
| Read values from files.

## Detailed Description

Enumerations used in DataHandling library.